:==========================================================================:
:                                                                          :
: INSTALL.BAT - SIx Driver Installation Routine                            :
:                                                                          :
: To install CA-Clipper 5.01a-compatible files:  INSTALL 501               :
: To install CA-Clipper 5.2a-compatible files:   INSTALL 52                :
:                                                                          :
:==========================================================================:

@echo off
cls
if "%1" == "" goto NoParm
if "%1" == "501" goto Start
if "%1" == "52" goto Start
if "%1" == "BOTH" goto Both
goto NoParm

:Start
cd %1
INSTALL %2
cd\
goto End

:Both
cd\501
INSTALL 501
cd\52
INSTALL 52
goto End

:NoParm
echo Usage  INSTALL {ver}
echo.
echo where  {ver} is either 501, 52, or BOTH indicating the CA-Clipper dialect
echo        of the SIx Driver to be installed.
echo.
echo Examples  INSTALL 501       // For CA-Clipper 5.01a support
echo           INSTALL 52        // For CA-Clipper 5.2x support
echo           INSTALL BOTH      // For both CA-Clipper 5.01a and 5.2x support
echo.

:End
